
@import "../../assets/css/font-awesome.min.css";
@import "default-theme.css";
@import "theme.css";


/* Stile dell'header */
.BEheader {
	height: 42px;
	position: absolute;
	width: 100%;
	border-bottom-width: 3px;
	border-bottom-style: solid;
}

.BEheader *::selection {
	background-color: transparent;
}

.header-wrapper {
	width: 97%;
	padding-left: 15px;
	position: absolute;
	top: 50%;
	margin-top: -11px;
}

.application-title {
	float: left;
}

.header-buttons {
	padding-left: 35px;
	float: left;
	line-height: 26px;
}

.header-buttons > span {
	margin: 0px -4px;
}

.header-button {
	cursor: pointer;
	padding: 1px 5px;
}

.header-button:hover {
	border-radius: 4px;
}

.header-logo {
	float: right;
	height: 36px;
	margin-top: -7px;
}


/* Stile del footer */
.footer {
	height: 17px;
	border-top-width: 3px;
	border-top-style: solid;
	padding-top: 1px;
}


/* Stile del navigator */
.navigator-body {
	margin: 0px !important;
}

.level1 li {
	list-style: none;
}

.level1 ul {
	margin-top: 0px;
	margin-bottom: 0px;
	padding: 0px
}

.sidebar {
	position: fixed;
	top: 0px;
	bottom: 0px;
	left: 0;
	z-index: 1000;
	display: block;
	overflow: hidden;
	border-right-width: 1px;
	border-right-style: solid;
	padding-top: 10px;
	width: 44px;
}

.sidebar *::selection, 
.level1 *::selection {
	background-color: transparent;
}

.level1 {
	width: 184px;
	border-right-width: 1px;
	border-right-style: solid;
	position: fixed;
	left: 45px;
	top: 0px;
	bottom: 0px;
	padding-top: 48px;
}

.level1.folders > div, 
.level1.workflow > div {
	overflow-x: auto;
	height: 100%;
}

.menuTitleWrapper {
	padding-top: 10px;
}

.menuTitle {
	margin-left: 10px;
	position: absolute;
	width: 87%;
	border-top-width: 1px;
	border-top-style: solid;
	padding-left: 5px;
}

.menuTitle > p {
	height: 32px;
	display: table-cell;
	vertical-align: middle;
}

.sidebar-button {
	cursor: pointer;
}

.menu-toggle {
	position: absolute;
	bottom: 5px;
	width: 100%;
}

.sidebar-button > a {
	display: block;
	position: relative;
	width: 100%;
	height: 100%;
	padding: 8px 0px 8px 0px;
	text-align: center;
}

.sidebar-button > a > .BEbadge {
	bottom: 2px;
	right: 5px;
	position: absolute;
}

.BEbadge {
	display: inline-block;
	min-width: 10px;
	padding: 3px 4px;
	line-height: 1;
	border-radius: 10px;
}

.sidebar-button i {
	font-family: FontAwesome !important;
}

.vmenu .vmenuIcon i {
	font-family: FontAwesome !important;
	display: block;
}

.vmenu.selected .vmenuIcon {
	margin-left: -3px;
	margin-right: -1px;
}

.vmenu.selected .vmenuIcon i,
.vmenuselected .vmenuIcon i {
	font-family: FontAwesome !important;
	display: block;
}

.sidebar .fa-2-5x,
.level1 .fa-2-5x {
	font-size: 2.5em;
}

.vmenu {
	cursor: pointer;
}

.vmenuselected {
	cursor: pointer;
}

.level1 .vmenuIcon {
	padding-top: 2px;
	padding-bottom: 4px;
	padding-left: 5px;
	padding-right: 2px;
	float: left;
	height: 12px;
}

.level1 .vmenuLabel {
	float: left;
	max-width: 178px;
	padding-top: 2px;
	padding-bottom: 2px;
	padding-left: 5px;
}

.level2 .vmenuLabel {
	float: left;
	padding-top: 2px;
	padding-bottom: 2px;
	padding-left: 25px;
}

.level2 .vmenuIcon {
	padding-top: 2px;
	padding-bottom: 2px;
	padding-left: 10px;
	padding-right: 0px;
	float: left;
}

.level2 .count {
	margin-right: 5px;
}




.tab-loading-image {
	display: none;
	width: 30px;
	height: 20px;
	float: right;
	margin: -2px -5px -4px 5px;
	background-image: url('../../Images/Functions/WebResource.gif');
}

/* stili per il padding dei dettagli */
#tabs .ui-tabs-panel.ui-widget-content table:not(.sortable) td:not(.lbg):not([valign]) {
	padding: 2px 5px;
}

#tabs .ui-tabs-panel.ui-widget-content td.lbg {
	padding: 3px 5px;
}

/* Override dello stile di jquery-ui */
#tabs .ui-state-default.ui-corner-top {
	border-radius: 3px 3px 0px 0px;
}

#tabs .ui-state-active, 
#tabs .ui-widget-content .ui-state-active, 
#tabs .ui-widget-header .ui-state-active {
	border-bottom: 1px solid #FCFDFD !important;
	margin-bottom: -1px !important;
	border-top-left-radius: 2px !important;
	border-top-right-radius: 2px !important;
	border-top-style: solid !important;
	border-radius: 4px 4px 2px 2px;
}

#radioMail {
	height: 26px;
	border-bottom-left-radius: 1px;
	border-bottom-right-radius: 1px;
	border-bottom-style: solid;
	padding: 0px 0px 0px .3em;
}

#iframeMail {
	box-sizing: border-box;
	width: 100%;
	height: 250px;
	margin-bottom: 13px;
}

#radioMail .ui-button.ui-corner-top.ui-widget {
	list-style: none;
	float: left;
	position: relative;
	top: 1px;
	margin: 0px 0.2em 1px 0px;
	padding: 0px;
	white-space: nowrap;
}

.ui-tabs .ui-tabs-panel {
	padding: 2px 0px !important;
}

.ui-tabs .ui-tabs-nav li a {
	white-space: normal;
}

#tabs .ui-widget-header {
	border: none !important;
	border-bottom: 1px solid #C5DBEC !important;
	background: none !important;
}

.ui-widget * {
	outline: none !important;
}

div.DTTT_container {
	float: left !important;
	margin-bottom: 0px !important;
}

button.DTTT_button:first-child {
	margin-right: 4px;
}

th.ui-state-default {
	white-space: normal;
	border: none;
	border-bottom: none !important;
}

table.sortable tr td, 
table.sortable tr td {
	text-decoration: none
}

/* icone del sorting bianche invece che blu */
.ui-state-default .DataTables_sort_icon.ui-icon {
	background-image: url(images/ui-icons_d8e7f3_256x240.png);
}

/* aggiustamento delle dimensioni dell'icona del sorting con le 2 frecce */
.DataTables_sort_icon.ui-icon.ui-icon-triangle-2-n-s {
	background-size: 350px;
	background-position: -178px -26px;
}

.centered-column {
	text-align: center;
}




/* stili per le datatable ad altezza e larghezza fissa */
.searchresultroot {
	margin-top: 0px;
	min-width: 505px;
}

.searchresultroot.dt-fixed {
	height: 100%;
}

.datatable-title {
	width: 100%;
	min-width: 505px;
	border-spacing: 0px 1px;
	padding: 0px 1px;
	position: absolute;
	z-index: 1000;
}

.dataTables_wrapper {
	height: 100%;
	margin: 0px 1px;
}

.dataTables_wrapper > div {
	box-sizing: border-box;
	width: 100%;
}

.searchresultroot.dt-fixed .dataTables_wrapper > div {
	position: absolute;
}

.dataTables_wrapper > .ui-corner-tr {
	top: 22px;
}

.dataTables_wrapper > .datatable-scroll-container {
	overflow: auto;
	top: 55px;
	bottom: 35px;
}

.dataTables_wrapper > .ui-corner-br {
	height: 34px;
	bottom: 0px;
}

.dataTables_wrapper > .ui-corner-br:after {
	clear: none;
}

.dataTables_info {
	position: absolute;
	display: none;
}

#tabs > div > .searchresultroot {
	height: auto;
}

#tabs > div > .searchresultroot > .datatable-title,
#tabs > div > .searchresultroot > .dataTables_wrapper > div {
	position: relative;
	top: auto;
	bottom: auto;
}




/* Stile di base per tutto il testo di una pagina */
html, body, #tabs {
	height: 100%;
}

body {
	text-decoration: none;
	box-sizing: border-box;
	padding: 1px 0px !important;
	margin: 0px !important;
}

body *.fa:before {/* fix di un conflitto css con le icone di FontAwesome */
	font-family: FontAwesome;
}

#tabs {
	box-sizing: border-box;
}

/* Stile per le intestazioni delle tabelle e i titoli che hanno i bordi arrotondati */
.roundtable td {
	padding: 0px;
}

.dbg {
	padding: 1px 5px 1px 5px;
}

.mbg {
	padding: 1px 5px;
}

.lbg {
	padding: 1px 5px;
}

.lbrborders {
	border-style: none none solid none;
	border-width: 0px 1px 1px 1px;
}

/* tutti gli elementi .text tranne i select disabilitati */
:not(select).text, 
select.text:not([disabled]) {
	color: #000000;
}

.text, 
.boldtext, 
.redtext, 
.whitetext {
	text-decoration: none;
}

.boldtext {
	font-weight: bold
}

.redtext {
	color: #FF0000;
}

.whitetext {
	color: #FFFFFF;
}

.darkbutton {
	padding: 2px 5px;
	border-color: #D3D4D5;
	border-width: 1px;
	border-style: solid;
	background-color: #2A526E;
	color: #EEEEEE;
	text-decoration: none;
	font-weight: bold;
	text-align: center;
	cursor: pointer;
}

.darkbutton:hover {
	background-color: #B5C6D2;
	color: #000000;
}

.darkbutton:focus {
	border: 2px solid #FF9900;
	background-color: #2a526e;
	color: #FFFFFF;
}

.darkinput {
	padding: 2px 5px;
	border-color: #D3D4D5;
	border-width: 2px;
	border-style: solid;
	background-color: #2A526E;
	color: #FFFFFF;
	text-decoration: none;
	font-weight: bold;
	text-align: center;
	cursor: pointer;
}

.darkinput:hover {
	background-color: #B5C6D2;
	color: #000000;
}

.darkinputfocused {
	padding: 2px 5px;
	border-color: #FF9900;
	border-width: 2px;
	border-style: solid;
	background-color: #2A526E;
	color: #FFFFFF;
	text-decoration: none;
	font-weight: bold;
	cursor: pointer;
	text-align: center;
	cursor: pointer;
}

.darkinputfocused:hover {
	background-color: #B5C6D2;
	color: #000000;
}

.darkbutton1 {
	padding: 1px 5px;
	border-color: transparent;
	border-width: 1px;
	border-style: solid;
	background-color: transparent;
	color: #FFFFFF;
	text-decoration: none;    
	text-align: center;
	height: 18px;
	/*vertical-align: middle;*/
	cursor: pointer;
}

.darkbutton1:hover {
	border-color: #FFFFFF;
	background-color: #2A526E;
}

.lightbutton {
	padding: 2px 5px;
	border-color: #EEEEEE;
	border-width: 1px;
	border-style: solid;
	background-color: #EEEEEE;
	color: #003060;
	text-decoration: none;
	cursor: pointer;
}

.lightbutton:hover {
	border-color: #A1C6EB;
	background-color: #E3EBF2;
}

INPUT.button {
	cursor: pointer;
	border: outset 1px #ccc;
	background: #B5C6D2;
	color: #666;
	font-weight: bold;
	padding: 1px 2px;
	background: url(../../Images/Presentation/BlueStyle/formbg.gif) repeat-x left top;
	height: 27px;
	padding: 3px 5px;
}

.buttondarkbackground {
	background-color: #3B6689;
	padding: 2px 5px;
}

.buttonlightbackground {
	background-color: #EEEEEE;
	padding: 2px 5px;
}

.button {
	font-weight: bold;
	color: #666;
	background-color: #f2f5fa;
	text-decoration: none;
	height: 27px;
	padding-bottom: 6px;
	padding-left: 5px;
	padding-right: 5px;
	padding-top: 6px;
	background: url(../../Images/Presentation/BlueStyle/formbg.gif) repeat-x left top;
	border: outset 1px #ccc;
}

.tabbackground {
	border-style: none;
	background-position: left;
	background: url(../../Images/Presentation/BlueStyle/tech.jpg) no-repeat left;
	background-color: #6E8CA6;
	padding: 0px;
}

.tabbackgroundborder {
	border-style: solid solid none solid;
	border-width: 1px;
	border-color: #C7D5E1 #000000 #C7D5E1 #000000;
}


.tabrow {
	padding: 0px;
	vertical-align: bottom;
}

.tab {
	border-color: #D3D4D5 #D3D4D5 #000000 #D3D4D5;
	padding: 2px 5px;
	border-width: 1px;
	border-style: solid solid none solid;
	background-color: #2A526E;
	color: #FFFFFF;
	font-size: 10px;
	text-decoration: none;
	font-weight: bold;
	text-align: center;
	cursor: pointer;
}

.tab:hover {
	border-color: #003060 #003060 #EEEEEE #003060;
	background-color: #EEEEEE;
	color: #000000;
}

.tabselected {
	border-color: #003060 #003060 #EEEEEE #003060;
	padding: 2px 5px;
	border-width: 1px;
	border-style: solid solid none solid;
	background-color: #EEEEEE;
	color: #003060;
	font-size: 10px;
	text-decoration: none;
	font-weight: bold;
	text-align: center;
	cursor: pointer;
}

a {
	text-decoration: none
}

a img {
	border: 0;
}

table.header-table {
	padding: 0px 1px;
	border-spacing: 0px 1px;
}

div[id^="searchdocresultcontainer-"]:not(.dt-fixed) {
	padding: 0px 1px;
}

table.sortable {
	border-spacing: 0;
	border-collapse: collapse;
}

table.sortable th, table.sortable td {
	text-align: left;
	padding: 2px 4px;
}

table.sortable th {
	border-width: 0px;
	text-decoration: none
}

table.sortable td {
	border-width: 0px;
}

table.sortable tr.sortbottom td {
	background-color: #B5C6D2;
	font-weight: bold;
}

select:not([disabled]),
input {
	color: #000000;
}

select, 
input {
	text-decoration: none;
}

.container {
	height: 100%;
	position: absolute;
	width: 100%;
}

.innercontainer {
	padding: 5px;
	border-color: #D3D4D5;
	background-color: #EEEEEE;
	border-width: 1px;
	border-style: solid;
}

.downborder {
	border-style: none none solid none;
	border-width: 1px; 
	border-color: #000000;
}

.smartactionmenu {
	background-color: #2A526E;
	color: #FFFFFF;
	margin: 0px;
	border: 1px solid #2A526E;
}

.smartactionmenuitem {
	background-color: #E9E9E9;
	cursor:pointer;
}

.smartactionmenuitem:hover {
	background-color: #B5C6D2;
}

.jquerydate {
	color: #000000;
	text-decoration: none;
}

#ui-datepicker-div {
	display: none;
}

:not(select).label {
	color: #ffffff;
}

.label {
	padding: 1px 3px 2px;
	font-weight: bold;
	text-transform: uppercase;
	white-space: nowrap;
	background-color: #bfbfbf;
	-webkit-border-radius: 3px;
	-moz-border-radius: 3px;
	border-radius: 3px;
}

.label.shorter {
	padding: 0px 3px 0px;
}

.label.important {
	background-color: #c43c35;
}
.label.warning {
	background-color: #f89406;
}
.label.success {
	background-color: #46a546;
}
.label.notice {
	background-color: #62cffc;
}
.label.yellow {
	background-color: goldenrod;
}
.label.blue {
	background-color: dodgerblue;
}
.label.urgent {
	background-color: red;
}
.label:empty {
	background: transparent !important;
}
.well {
	background-color: #f5f5f5;
	margin-bottom: 20px;
	padding: 19px;
	min-height: 20px;
	border: 1px solid #eee;
	border: 1px solid rgba(0, 0, 0, 0.05);
	-webkit-border-radius: 4px;
	-moz-border-radius: 4px;
	border-radius: 4px;
	-webkit-box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.05);
	-moz-box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.05);
	box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.05);
}
.dataTables_processing {
	z-index: 2000;
}

td.hiddencolumn, th.hiddencolumn {
	display: none;
}
